Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.communicator
Class TwoChannelsDatagramMessageExtremity

    java.lang.Object
      java.lang.Thread
          madkit.communicator.TwoChannelsDatagramMessageExtremity

All Implemented Interfaces:
  java.lang.Runnable

    public class TwoChannelsDatagramMessageExtremity

extends java.lang.Thread

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`java.net.DatagramSocket` | `dSocket`
`int` | `maxDataSize`
`protected StatAgent` | `stat`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`TwoChannelsDatagramMessageExtremity(TransportLayer agent, java.net.DatagramSocket serverSocket, StatAgent stat, CodingModule code)`

Method Summary
`void` | `close()`
`int` | `getDatagramSocketPort()` Telecharge les objets mobiles arrivant sur le port.
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### maxDataSize

    public int maxDataSize

### dSocket

    public java.net.DatagramSocket dSocket

### stat

    protected StatAgent stat

Constructor Detail

### TwoChannelsDatagramMessageExtremity

    public TwoChannelsDatagramMessageExtremity(TransportLayer agent,
                                               java.net.DatagramSocket serverSocket,
                                               StatAgent stat,
                                               CodingModule code)

Method Detail

### getDatagramSocketPort

    public int getDatagramSocketPort()

  Telecharge les objets mobiles arrivant sur le port. Le protocole est:
  1- reception d'un entier: la taille de la chaine d'octet definissant l'objet
  - 2- reception d' une chaine d'octet de cette taile: l'objet
  - 3- emission de nom de classes (eventuellemnt)
  - 4- reception des fichiers .class demandes

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### close

    public void close()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.